using System;
class Program
{
    static void Main()
    {
        int n = Convert.ToInt32(Console.ReadLine());
        HashSet<int> s = new HashSet<int>();
        int max = 2 * n;
        int min = 1;


        if (n > 5)
        {
            return;
        }
        else
        {
            Console.WriteLine("10 1");
            Console.WriteLine("9 2");
            Console.WriteLine("7 3");
            Console.WriteLine("8 4");
            Console.WriteLine("6 5");

        }


    }
}